<%$ include("header.tpl") %>

<b>リンクやフォームのパラメーター受け渡しサンプル</b>（ExampleParameter.tpl）<br><br>
リンクを押すかフォームをサブミットすると、受け渡されたパラメーターが、ページ下部に表示されます。<br><br>
<hr>

■リンクから渡す<br>
<a href="ExampleParameter.tpl?hoge=100&piyo=ぴよ">ExampleParameter.tpl?hoge=100&piyo=ぴよ</a><br>
<br>

<form name="formExample" action="ExampleParameter.tpl">
	
	■フォームから渡す<br>
	<table border="1">
	
	<tr>
		<td> inputText </td>
		<td> <input name="inputText" value="INPUTテキスト"> </td>
	</tr>
	
	<tr>
		<td> inputHidden </td>
		<td> <input name="inputHidden" type="hidden" value="INPUTEヒドゥン"> INPUTEヒドゥン </td>
	</tr>
	
	<tr>
		<td> inputCheckboxSingle </td>
		<td> <input name="inputCheckboxSingle" type="checkbox" value="INPUTシングルチェックボックス"> INPUTシングルチェックボックス </td>
	</tr>
	
	<tr>
		<td> inputCheckboxMultiple </td>
		<td>
			<input name="inputCheckboxMultiple" type="checkbox" value="INPUTマルチチェックボックスA"> INPUTマルチチェックボックスA <br>
			<input name="inputCheckboxMultiple" type="checkbox" value="INPUTマルチチェックボックスB"> INPUTマルチチェックボックスB <br>
			<input name="inputCheckboxMultiple" type="checkbox" value="INPUTマルチチェックボックスC"> INPUTマルチチェックボックスC <br>
		</td>
	</tr>
	
	<tr>
		<td> selectSingle </td>
		<td>
			<select name="selectSingle">
				<option value="SELECTシングルオプションA"> SELECTシングルオプションA </option>
				<option value="SELECTシングルオプションB"> SELECTシングルオプションB </option>
				<option value="SELECTシングルオプションC"> SELECTシングルオプションC </option>
			</select>
		</td>
	</tr>
	
	<tr>
		<td> selectMultiple </td>
		<td>
			<select name="selectMultiple" multiple>
				<option value="SELECTマルチオプションA"> SELECTマルチオプションA </option>
				<option value="SELECTマルチオプションB"> SELECTマルチオプションB </option>
				<option value="SELECTマルチオプションC"> SELECTマルチオプションC </option>
			</select>
		</td>
	</tr>
	
	<tr>
		<td> inputRadio </td>
		<td>
			<input name="inputRadio" type="radio" value="INPUTラジオA"> INPUTラジオA <br>
			<input name="inputRadio" type="radio" value="INPUTラジオB"> INPUTラジオB <br>
			<input name="inputRadio" type="radio" value="INPUTラジオC"> INPUTラジオC <br>
		</td>
	</tr>
	
	<tr>
		<td> inputFile </td>
		<td> <input name="inputFile" type="file"> </td>
	</tr>
	
	<tr>
		<td> inputSubmit </td>
		<td> <input name="inputSubmit" type="submit" value="INPUTサブミット"> </td>
	</tr>
	
	<tr>
		<td> inputImage </td>
		<td> <input name="inputImage" type="image" value="INPUTイメージ" style="width:121px; height:24px; background-color:#EEEEEE; border:2px solid #444444;"> INPUTイメージ </td>
	</tr>
	
	<tr>
		<td> inputButton </td>
		<td>
			<input name="inputButton" type="button" value="INPUTボタン" onClick="javaScript: document.forms.formExample.submit();">
			※Java Script から submit しており、パラメータは取得不可です。 
		</td>
	</tr>
	
	<tr>
		<td> buttonSubmit </td>
		<td> <button name="buttonSubmit" type="submit" value="BUTTONサブミット"> BUTTONサブミット </button> </td>
	</tr>
	
	</table>
	
</form>
<hr>

■受け渡されたパラメーター<br>
<table border="1">
<% // すべてのパラメーターを表示 %>
<% foreach (string key in _IN.Keys) { %>
	<tr>
		<td><%$ key %></td>
		<td>
			<% // チェックボックスなど同名の name で複数あるときは ArrayList で渡される %>
			<% if (_IN[key] is System.Collections.ArrayList) { %>
				<% foreach (object arrayValue in (System.Collections.ArrayList)_IN[key]) { %>
					<%$ arrayValue %> <br>
				<% } %>
			<% } else { %>
				<%$ _IN[key] %>
			<% } %>
		</td>
	</tr>
<% } %>
</table>

<%$ include("footer.tpl") %>
